//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wFTypePane:
//   Generates a form used to change file type

#ifndef p4wFTypePane_H
#define p4wFTypePane_H


#include "p4wRunPane.h"

class StrDict;

class p4wFTypePane : public p4wRunPane {

public:

	p4wFTypePane( p4wView & ParentView, p4wRequest & Request, 
		int isFileBrowser );
	virtual		~p4wFTypePane();

	//
	// Render functions.
	
	virtual void	Begin();
	virtual	void	Render( StrDict * varList );
	virtual	void	End();

	//
	// Overrides for spec edit panes.
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
		StrDict * varList, int len, SpecElem *se ) { return 0; };
	virtual void	HandleError( Error *e );

private:
	int fIsFileBrowser;
	int fSeenBegin;
	int fGotOneFile;
	int fGotError;
};

#endif // p4wFTypePane_H
